Get asset group by name
GET /api/v1/assetgroups/name/. App profiles API reference.
Get asset group by name
Authentication · API availability · Download OpenAPI
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.Not Found. The API gateway did not process the request because the requested resource could not be found.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
User defined name of the asset group, unique across the enterprise. Once object is created, name can’t be changed
Response
A successful response.
unique Id of the asset group.
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}User defined name of the asset group, unique across the enterprise. Once asset group is created, name can’t be changed.
Required string length:
3 - 256Pattern:
[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the asset group. Title can be changed at any time.
Required string length:
3 - 256Pattern:
[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Detailed description of the asset group.
Maximum string length:
256project id